geos::geom::util::LinearComponentExtracter Class Reference

`#include <LinearComponentExtracter.h>`

Inheritance diagram for geos::geom::util::LinearComponentExtracter:

## Public Member Functions

| LinearComponentExtracter (std::vector< const LineString * > &newComps)
void | filter_ro (const Geometry *geom) override
Public Member Functions inherited from geos::geom::GeometryComponentFilter
virtual void | filter_rw (Geometry *geom)
virtual bool | isDone ()

## Static Public Member Functions

static void | getLines (const Geometry &geom, std::vector< const LineString * > &ret)

## Detailed Description

Extracts all the 1-dimensional (LineString) components from a Geometry.

## Constructor & Destructor Documentation

## LinearComponentExtracter()

geos::geom::util::LinearComponentExtracter::LinearComponentExtracter | ( | std::vector< const LineString * > & | newComps | ) |

Constructs a LinearComponentExtracterFilter with a list in which to store LineStrings found.

## Member Function Documentation

## filter_ro()

void geos::geom::util::LinearComponentExtracter::filter_ro | ( | const Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryComponentFilter.

## getLines()

void geos::geom::util::LinearComponentExtracter::getLines | ( | const Geometry & | geom,
|  | std::vector< const LineString * > & | ret )

static

Push the linear components from a single geometry into the provided vector. If more than one geometry is to be processed, it is more efficient to create a single LinearComponentExtracterFilter instance and pass it to multiple geometries.

Referenced by geos::noding::SegmentStringUtil::extractSegmentStrings().

The documentation for this class was generated from the following file:

- LinearComponentExtracter.h